[![Runbot Status](https://runbot.odoo-community.org/runbot/badge/flat/162/8.0.svg)](https://runbot.odoo-community.org/runbot/repo/github-com-oca-web-162)
[![Build Status](https://travis-ci.org/OCA/web.svg?branch=8.0)](https://travis-ci.org/OCA/web)
[![Coverage Status](https://coveralls.io/repos/OCA/web/badge.png?branch=8.0)](https://coveralls.io/r/OCA/web?branch=8.0)

Web addons for Odoo
===================

This project aims to deal with modules related to the webclient of Odoo. You'll find modules that:

- Add facilities to the UI
- Add widgets
- Ease the import/export features
- Generally add clientside functionality

[//]: # (addons)

Available addons
----------------
addon | version | maintainers | summary
--- | --- | --- | ---
[help_online](help_online/) | 8.0.1.0.0 |  | Help Online
[help_popup](help_popup/) | 8.0.0.5.0 |  | Help Popup
[support_branding](support_branding/) | 8.0.2.0.0 |  | Adds your branding to an Odoo instance
[web_action_conditionable](web_action_conditionable/) | 8.0.1.1.1 |  | web_action_conditionable
[web_advanced_search_wildcard](web_advanced_search_wildcard/) | 8.0.1.0.0 |  | Webmodule to add wildcard operators in advanced search field
[web_advanced_search_x2x](web_advanced_search_x2x/) | 8.0.1.0.0 |  | Use a search widget in advanced search for x2x fields
[web_ckeditor4](web_ckeditor4/) | 8.0.1.0.0 |  | Provides a widget for editing HTML fields using CKEditor 4.x
[web_clean_navbar](web_clean_navbar/) | 8.0.1.0.0 |  | Better visibility for the backend's main menu
[web_context_in_colors](web_context_in_colors/) | 8.0.1.1.0 |  | Use the context in a tree view's colors and fonts attribute
[web_copy_confirm](web_copy_confirm/) | 8.0.1.0.0 |  | Show confirmation dialogue before copying records
[web_dashboard_open_action](web_dashboard_open_action/) | 8.0.1.0.0 |  | Adds a button to open a dashboard in full mode
[web_dashboard_tile](web_dashboard_tile/) | 8.0.4.0.0 |  | Add Tiles to Dashboard
[web_decimal_numpad_dot](web_decimal_numpad_dot/) | 8.0.1.0.0 |  | Web - Numpad Dot as decimal separator
[web_dialog_size](web_dialog_size/) | 8.0.0.1.0 |  | A module that lets the user expand a dialog box to the full screen width.
[web_dom_model_classes](web_dom_model_classes/) | 8.0.1.0.0 |  | Allows small UI changes with simple CSS
[web_easy_switch_company](web_easy_switch_company/) | 8.0.1.0.0 |  | Multicompany - Easy Switch Company
[web_environment_ribbon](web_environment_ribbon/) | 8.0.1.0.0 |  | Web Environment Ribbon
[web_export_view](web_export_view/) | 8.0.1.3.1 |  | Export Current View
[web_favicon](web_favicon/) | 8.0.1.0.0 |  | Allows to set a custom shortcut icon (aka favicon)
[web_form_sticky_header](web_form_sticky_header/) | 8.0.1.0.0 |  | Web Fixed Header
[web_graph_improved](web_graph_improved/) | 8.0.0.1.0 |  | Improves graph views.
[web_graph_sort](web_graph_sort/) | 8.0.1.0.0 |  | Web Graph Sort
[web_group_expand](web_group_expand/) | 8.0.1.0.0 |  | Group Expand Buttons
[web_hide_db_manager_link](web_hide_db_manager_link/) | 8.0.1.0.0 |  | Hide link to database manager in login screen
[web_hideleftmenu](web_hideleftmenu/) | 8.0.1.0.0 |  | Hide Left Menu in Web Interface
[web_invalid_tab](web_invalid_tab/) | 8.0.1.0.0 |  | Highlight tab when fields inside are invalid.
[web_ir_actions_act_window_message](web_ir_actions_act_window_message/) | 8.0.1.0.0 |  | Show a message box to users
[web_ir_actions_act_window_none](web_ir_actions_act_window_none/) | 8.0.1.0.0 |  | Execute nothing
[web_ir_actions_act_window_page](web_ir_actions_act_window_page/) | 8.0.1.0.0 |  | Allows a developer to trigger a pager to show the previous or next next record in the form view
[web_last_viewed_records](web_last_viewed_records/) | 8.0.1.0.0 |  | Last viewed records
[web_list_html_widget](web_list_html_widget/) | 8.0.1.0.0 |  | This module allows to use a widget='html' for fields in list (tree) views
[web_listview_custom_column](web_listview_custom_column/) | 8.0.1.0.0 |  | Remove or add columns to list views
[web_listview_custom_element_number](web_listview_custom_element_number/) | 8.0.1.0.0 |  | Allow users to set manually a quantity of items to display in a tree view
[web_listview_show_advanced_search](web_listview_show_advanced_search/) | 8.0.1.0.0 |  | Web Show Advanced Search by default on list view
[web_m2x_options](web_m2x_options/) | 8.0.0.2.0 |  | web_m2x_options
[web_menu_autohide](web_menu_autohide/) | 8.0.1.0.0 |  | Hide top and left menu bar
[web_menu_collapsible](web_menu_collapsible/) | 8.0.1.0.0 |  | Foldable second level Odoo menu
[web_menu_navbar_needaction](web_menu_navbar_needaction/) | 8.0.1.0.0 |  | Show the sum of submenus' needaction counters in main menu
[web_no_crawler](web_no_crawler/) | 8.0.1.0.0 |  | Disallow indexing completely via robots.txt
[web_offline_warning](web_offline_warning/) | 8.0.1.0.0 |  | User-friendly Offline Warning
[web_onchange_action](web_onchange_action/) | 8.0.1.0.0 |  | Run actions from onchange handlers
[web_one2many_list_action](web_one2many_list_action/) | 8.0.1.0.0 |  | Enable tree_but_open action for One2ManyListView rows.
[web_option_auto_color](web_option_auto_color/) | 8.0.0.1.0 |  | Web Option Auto Color
[web_readonly_bypass](web_readonly_bypass/) | 8.0.1.0.1 |  | Allow to save onchange modifications to readonly fields
[web_recipients_uncheck](web_recipients_uncheck/) | 8.0.0.3.0 |  | Uncheck recipients on res.partner
[web_search_autocomplete_prefetch](web_search_autocomplete_prefetch/) | 8.0.1.0.0 |  | Offer only items on autocompletion that will yield results
[web_search_datetime_completion](web_search_datetime_completion/) | 8.0.1.0.0 |  | Offer more completion options for datetime fields while searching
[web_search_with_and](web_search_with_and/) | 8.0.1.0.0 |  | Use AND conditions on omnibar search
[web_searchbar_full_width](web_searchbar_full_width/) | 8.0.1.0.0 |  | Show search bar in full screen width
[web_sheet_full_width](web_sheet_full_width/) | 8.0.1.0.0 |  | Use the whole available screen width when displaying sheets
[web_sheet_full_width_selective](web_sheet_full_width_selective/) | 8.0.0.1.0 |  | Show selected sheets with full width
[web_shortcuts](web_shortcuts/) | 8.0.1.0.0 |  | Web Shortcuts
[web_switch_company_warning](web_switch_company_warning/) | 8.0.0.1.0 |  | Show a warning if current company has been switched in another tab or window.
[web_timeline](web_timeline/) | 8.0.1.0.0 |  | Interactive visualization chart to show events in time
[web_translate_dialog](web_translate_dialog/) | 8.0.1.0.0 |  | Easy-to-use pop-up to translate fields in several languages
[web_tree_date_search](web_tree_date_search/) | 8.0.1.0.0 |  | Tree dates search
[web_tree_dynamic_colored_field](web_tree_dynamic_colored_field/) | 8.0.2.0.0 |  | Allows you to dynamically color fields on tree views
[web_tree_image](web_tree_image/) | 8.0.1.1.0 |  | Show images in tree views
[web_tree_many2one_clickable](web_tree_many2one_clickable/) | 8.0.1.0.0 |  | Clickable many2one fields for tree views
[web_widget_color](web_widget_color/) | 8.0.1.0.0 |  | Web Widget Color
[web_widget_datepicker_options](web_widget_datepicker_options/) | 8.0.1.0.0 |  | web_widget_datepicker_options
[web_widget_digitized_signature](web_widget_digitized_signature/) | 8.0.1.0.0 |  | Web Widget Digitized Signature
[web_widget_digitized_signature_user](web_widget_digitized_signature_user/) | 8.0.1.0.0 |  | Web Digitized Signature for users
[web_widget_float_formula](web_widget_float_formula/) | 8.0.1.0.0 |  | Web Widget - Formulas in Float fields
[web_widget_image_download](web_widget_image_download/) | 8.0.1.0.1 |  | Allows to download any image from its widget
[web_widget_mail_send_odoo](web_widget_mail_send_odoo/) | 8.0.1.0.0 |  | Send mail using internal composition wizard.
[web_widget_many2many_tags_multi_selection](web_widget_many2many_tags_multi_selection/) | 8.0.0.1.0 |  | Tags multiple selection
[web_widget_one2many_tags](web_widget_one2many_tags/) | 8.0.1.0.0 |  | Provides a widget similar to many2many_tags for one2many fields
[web_widget_pattern](web_widget_pattern/) | 8.0.1.0.0 |  | Enforce a pattern on an input field
[web_widget_radio_tree](web_widget_radio_tree/) | 8.0.1.0.0 |  | Add radio buttons for records in tree.
[web_widget_text_markdown](web_widget_text_markdown/) | 8.0.1.0.0 |  | web_widget_text_markdown
[web_widget_url_listview](web_widget_url_listview/) | 8.0.1.0.0 |  | Web Widget ListView Url
[web_widget_x2many_2d_matrix](web_widget_x2many_2d_matrix/) | 8.0.1.1.0 |  | Show list fields as a matrix
[web_x2m_defaults_from_previous](web_x2m_defaults_from_previous/) | 8.0.1.0.0 |  | Use previous input as default for next line
[web_x2m_filter](web_x2m_filter/) | 8.0.1.0.0 |  | Allows to define filters in x2many list fields
[web_x2many_add_button_position](web_x2many_add_button_position/) | 8.0.1.0.0 |  | Configurable position for the 'Add an Item' button
[web_x2many_delete_all](web_x2many_delete_all/) | 8.0.1.0.0 |  | Adds a button to x2many fields that removes all linked records


Unported addons
---------------
addon | version | maintainers | summary
--- | --- | --- | ---
[web_color](web_color/) | 1.0 (unported) |  | Web Color
[web_confirm_window_close](web_confirm_window_close/) | 7.0.1 (unported) |  | Check for unsaved data when closing browser window
[web_polymorphic_many2one](web_polymorphic_many2one/) | 0.2 (unported) |  | Web Polymorphic Many2One
[web_popup_large](web_popup_large/) | 7.0.1.0 (unported) |  | Large pop-ups in web client
[web_search_alphabetic](web_search_alphabetic/) | 1.0 (unported) |  | Web Alphabetical Search
[web_send_message_popup](web_send_message_popup/) | 1.0 (unported) |  | Web Send Message as Popup

[//]: # (end addons)
